<div class="new-post-component">
  <div class="new-post-component__container">
    <h1>Ajouter un Post !</h1>
    <form [formGroup]="postForm" (submit)="savePost()" class="new-post-component__form">

      <mat-form-field>
        <input formControlName="title" matInput placeholder="Titre">
      </mat-form-field>

      <mat-form-field>
        <input formControlName="author" matInput placeholder="Auteur">
      </mat-form-field>

      <mat-form-field>
        <textarea formControlName="content" matInput placeholder="Contenu"></textarea>
      </mat-form-field>

      <div class="new-post-component__form-upload">

        <div class="new-post-component__update-btn">
          <label for="singleFile" class="mat-raised-button" *ngIf="!fileIsUploading">Uploader une image</label>
          <input id="singleFile" type="file" (change)="detectFiles($event)" accept="image/*" *ngIf="!fileIsUploading" />
        </div>

        <div class="new-post-component__progress">
          <mat-progress-spinner
          class="example-margin"
          *ngIf="fileIsUploading"
          mode="determinate"
          [value]="loading">
          </mat-progress-spinner>
        </div>

        <div class="new-post-component__preview">
          <img [src]="fileUrl" alt="">
        </div>


      </div>

      <button mat-raised-button color="primary" [disabled]="!fileUploaded && fileIsUploading" type="submit">Ajouter le post</button>
    </form>
  </div>
</div>
